package com.teslacoilsw.launcher.preferences.fancyprefs

import android.content.Context
import android.util.AttributeSet
import com.teslacoilsw.launcher.util.NamedIntent

class FancyPrefIntentView @JvmOverloads
constructor(context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0)
    : FancyPrefView<NamedIntent>(context, attrs, defStyleAttr)
{

    init {
        if (summary == null)
            summary = "%s"
    }

    override fun summaryFormat(text: String, value: NamedIntent): String {
        return String.format(text, value.title)
    }
}