package com.teslacoilsw.launcher.preferences.fancyprefs

import android.os.Build
import android.os.Bundle
import android.view.View
import android.view.ViewGroup
import androidx.appcompat.app.AppCompatActivity
import com.android.launcher3.Utilities
import com.teslacoilsw.kotlin.inflate
import com.teslacoilsw.launcher.R

abstract class FancySettingsActivity(private val layoutId: Int) : AppCompatActivity() {
    protected lateinit var rootView: ViewGroup

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        rootView = inflate(layoutId)
        setContentView(rootView)

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            Utilities.setStatusAndNavTransparent(window, true, false, false)
            window.statusBarColor = 0x3d000000
        }

        rootView.findViewById<View>(R.id.back).setOnClickListener { onBackPressed() }
    }
}