package com.teslacoilsw.launcher.onboarding

import android.content.Intent
import com.teslacoilsw.launcher.BuildConfig


class OnboardingActivity : WizardActivity() {
    override val wizardPages : List<WizardPage> = listOf(ImportPage(), NightModeThemePage(), SwipeDrawerPage())

    companion object {
        @JvmStatic
        fun makeIntent(): Intent {
            val intent = Intent(Intent.ACTION_MAIN)
            intent.flags = Intent.FLAG_ACTIVITY_NEW_TASK or
                    Intent.FLAG_ACTIVITY_CLEAR_TOP or
                    Intent.FLAG_ACTIVITY_EXCLUDE_FROM_RECENTS or
                    Intent.FLAG_ACTIVITY_TASK_ON_HOME
            intent.setClassName(BuildConfig.APPLICATION_ID, OnboardingActivity::class.java.name)

            return intent
        }
    }
}