package com.teslacoilsw.launcher.widget

import android.widget.EdgeEffect
import androidx.recyclerview.widget.RecyclerView

class TintableEdgeEffectFactory(var color: Int = 0) : RecyclerView.EdgeEffectFactory() {

    override fun createEdgeEffect(view: RecyclerView, direction: Int): EdgeEffect {
        val edge = super.createEdgeEffect(view, direction)
        if (color != 0)
            edge.color = color
        return edge
    }
}